spring:
  config:
    activate:
      on-profile: test
  datasource:
    url: jdbc:h2:mem:test;DB_CLOSE_DELAY=-1
    driver-class-name: org.h2.Driver
  rabbitmq:
    host: localhost
    port: 5672
    username: rabbit
    password: rabbit
    listener:
      simple:
        auto-startup: false
  cloud:
    openfeign:
      client:
        config:
          contactTestService:
            url: https://test.de/
          sitCacheTestService:
            url: https://test.de/
          authNAuthService:
            url: https://test.de/


  # UI setting (Map)
  settings:
    overviewMapInitialZoom: 10
    detailMapInitialZoom: 10
    overviewMapInitialLatitude: 49.656634
    overviewMapInitialLongitude: 8.423207
    daysInPastToShowClosedInfos: 365
    dataExternInitialVisibility: hide

    mapTileAttribution: "&copy; <a href=\"http://www.openstreetmap.org/copyright\">OpenStreetMap</a>"
    mapTileLayerUrl: "https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
    #mapTileLayerUrl: "http://company1.wms.omniscale.net/mapproxy/service?"
    #mapWmsLayer: "osm"
    iconUrl:

    plzLookupEnabled: true
    nominatimURL: https://nominatim.openstreetmap.org

    isUseHtmlEmailBtnTemplate: true
    # Mail settings (Default templates)
    emailSubjectPublishInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status veröffentlicht geändert."
    emailContentPublishInit: "<p><b>Veröffentlicht [TEST]</b></p>
                              <p>Sehr geehrte Damen und Herren,</p>
                              <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                              $Direkter_Link_zur_Störung$
                              <p>Mit freundlichen Grüßen</p>
                              <p>Ihr Admin-Meister-Team der PTA GmbH</p>"
    emailSubjectUpdateInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status aktualisiert geändert."
    emailContentUpdateInit: "<p><b>Aktualisiert [TEST]</b></p>
                             <p>Sehr geehrte Damen und Herren,</p>
                             <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                             $Direkter_Link_zur_Störung$
                             <p>Mit freundlichen Grüßen</p>
                             <p>Ihr Admin-Meister-Team der PTA GmbH</p>"
    emailSubjectCompleteInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status beendet geändert."
    emailContentCompleteInit: "<p><b>Beendet [TEST]</b></p>
                              <p>Sehr geehrte Damen und Herren,</p>
                              <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                              $Direkter_Link_zur_Störung$
                              <p>Mit freundlichen Grüßen</p>
                              <p>Ihr Admin-Meister-Team der PTA GmbH</p>"

    # Mail settings short text (SMS) (Default templates)
    emailSubjectPublishShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status veröffentlicht geändert."
    emailContentPublishShortInit: "Veröffentlicht [SHORT-TEST]
                              Sehr geehrte Damen und Herren,
                              die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                              $Direkter_Link_zur_Störung$
                              Mit freundlichen Grüßen
                              Ihr Admin-Meister-Team der PTA GmbH"
    emailSubjectUpdateShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status aktualisiert geändert."
    emailContentUpdateShortInit: "Aktualisiert [SHORT-TEST]
                                  Sehr geehrte Damen und Herren,
                                  die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                                  $Direkter_Link_zur_Störung$
                                  Mit freundlichen Grüßen
                                  Ihr Admin-Meister-Team der PTA GmbH"
    emailSubjectCompleteShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status beendet geändert."
    emailContentCompleteShortInit: "Beendet [SHORT-TEST]
                                  Sehr geehrte Damen und Herren,
                                  die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                                  $Direkter_Link_zur_Störung$
                                  Mit freundlichen Grüßen
                                  Ihr Admin-Meister-Team der PTA GmbH"

    visibilityConfiguration:
      fieldVisibility:
        failureClassification: show
        responsibility: show
        description: show
        internalRemark: show
      tableInternColumnVisibility:
        failureClassification: show
        responsibility: show
        description: show
        statusIntern: show
        statusExtern: show
        publicationStatus: show
        branch: show
        voltageLevel: show
        pressureLevel: show
        failureBegin: show
        failureEndPlanned: show
        failureEndResupplied: show
        expectedReasonText: show
        internalRemark: show
        postcode: show
        city: show
        district: show
        street: show
        housenumber: show
        radius: show
        stationIds: show
      tableExternColumnVisibility:
        branch: show
        failureBegin: show
        failureEndPlanned: show
        expectedReasonText: show
        description: show
        postcode: show
        city: show
        district: show
        street: show
        failureClassification: show
      mapExternTooltipVisibility:
        failureBegin: show
        failureEndPlanned: show
        expectedReasonText: show
        branch: show
        postcode: show
        city: show
        district: show

services:
  authNAuth:
    name: authNAuthService
    technical-username: Testme
    technical-userpassword: Testme
  contacts:
    name: contactTestService
  sitCache:
    name: sitCacheTestService

  jpa:
    hibernate:
      ddl-auto: create
    show-sql: false
  flyway:
    enabled: false

jwt:
  tokenHeader: Authorization
  useStaticJwt: true
  staticJwt: eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJIYlI3Z2pobmE2eXJRZnZJTWhUSV9tY2g3ZmtTQWVFX3hLTjBhZVl0bjdjIn0.eyJqdGkiOiJlMmQ2YjE3Zi1iMWUyLTQxMzUtOTM1YS0zOWRiMmFkMzE5MjYiLCJleHAiOjE1ODYwMTI1MzUsIm5iZiI6MCwiaWF0IjoxNTg2MDEyMjM1LCJpc3MiOiJodHRwOi8vbG9jYWxob3N0OjgwODAvYXV0aC9yZWFsbXMvRWxvZ2Jvb2siLCJhdWQiOiJlbG9nYm9vay1iYWNrZW5kIiwic3ViIjoiMzMzMmRmOWItYmYyMy00Nzg5LThmMmQtM2JhZTM2MzA4YzNkIiwidHlwIjoiQmVhcmVyIiwiYXpwIjoiZWxvZ2Jvb2stYmFja2VuZCIsImF1dGhfdGltZSI6MCwic2Vzc2lvbl9zdGF0ZSI6IjYxMzRmN2RhLTdlNjQtNDJjNy05NjYyLTY0ZGNhZTk1MjQ5YSIsImFjciI6IjEiLCJhbGxvd2VkLW9yaWdpbnMiOlsiKiJdLCJyZWFsbV9hY2Nlc3MiOnsicm9sZXMiOlsiZ3JpZC1mYWlsdXJlLXF1YWxpZmllciIsImdyaWQtZmFpbHVyZS1jcmVhdG9yIiwiZ3JpZC1mYWlsdXJlLWFjY2VzcyIsImdyaWQtZmFpbHVyZS1hZG1pbiIsImdyaWQtZmFpbHVyZS1wdWJsaXNoZXIiXX0sInJlc291cmNlX2FjY2VzcyI6e30sIm5hbWUiOiJTdGF0aWMgSldUIiwicHJlZmVycmVkX3VzZXJuYW1lIjoidGVzdHVzZXJfZ2ZpX3N0YXRpY2p3dCIsImdpdmVuX25hbWUiOiJTdGF0aWMiLCJmYW1pbHlfbmFtZSI6IkpXVCJ9.SWpekZHxlDNWbaaZ2fHlts00c1Xi6yIb0ZMr9f8ujSI_6LVYuHx8FTt6g9tinyVcx5gQKfrooRW28Cdq1EVuexNtTtZ7ciKk4iEo_kgqUgRvHCwO7HQl2igpoGErheYD0kj3-u4Te6NPHKtXWIEfGyl0ZQBD2c4vtaCTQAy5Ilb146G7p_IcLYaZgpJPlGG0Bf2oZ0UqTQsrXxRJkXWARDz8D4lIrN84lAbqNlPlSZDN-8xp_z6mXgWpvgeZuFoYHItJMg2cjR0SXH-ycbWVXctRNQJfTWR0acIhp_nB_Xe6JlUx2vls99EVw-WUrd0hc8Y9658HdeyktvpQLDxP2g

reminder:
  status-change:
    enabled: true
    minutes-before: 1440

email:
  sender: sender@test.tester
  smtpHost: localhost
  port: 3025

smsUrl: https://test.de/

geoJsonImport:
  filepattern: '^geoj_(\d+)_(.*).(json)$'
  enabled: false
  cron: "0 */1 * ? * *" #every minute
  folder: "./src/test/resources/geoJsonImporterTest/tmpFolder"

cors:
  corsEnabled: false
  allowedOrigins: "*"

gridFailureInformation:
  maxListSize: 2000
